Build #2 for monky-2.2.1.1

[all reports]

Package monky-2.2.1.1
Install DependencyFailed monky-2.2.1.1
Docs NotTried
Tests NotTried
Time submitted 2020-02-13 20:30:00.87657285 UTC
Compiler ghc-8.6.3
OS linux
Arch x86_64
Dependencies base-4.12.0.0, bytestring-0.10.8.2, cereal-0.5.8.1, composition-1.0.2.1, containers-0.6.0.1, directory-1.3.3.0, env-locale-1.0.0.1, formatting-6.3.7, mtl-2.2.2, netlink-1.1.1.0, network-3.1.1.1, old-time-1.1.0.3, pulseaudio-0.0.2.1, scientific-0.3.6.2, statvfs-0.2, stm-2.5.0.0, template-haskell-2.14.0.0, text-1.2.3.1, time-1.8.0.2, transformers-0.5.5.0, unix-2.7.2.2, base-4.12.0.0, containers-0.6.0.1, directory-1.3.3.0, mtl-2.2.2, optparse-applicative-0.15.1.0, process-1.6.3.0, unix-2.7.2.2
Flags -ibus pulse

Build log

[view raw]

Warning: The install command is a part of the legacy v1 style of cabal usage.

Please switch to using either the new project style and the new-install
command or the legacy v1-install alias as new-style projects will become the
default in the next version of cabal-install. Please file a bug if you cannot
replicate a working v1- use case with the new-style commands.

For more information, see: https://wiki.haskell.org/Cabal/NewBuild

Resolving dependencies...
Starting     clock-0.8
Starting     composition-1.0.2.1
Starting     cereal-0.5.8.1
Starting     colour-2.3.5
Building     composition-1.0.2.1
Building     clock-0.8
Building     cereal-0.5.8.1
Building     colour-2.3.5
Completed    composition-1.0.2.1
Starting     hashable-1.3.0.0
Building     hashable-1.3.0.0
Completed    clock-0.8
Starting     integer-logarithms-1.0.3
Building     integer-logarithms-1.0.3
Completed    integer-logarithms-1.0.3
Starting     monad-loops-0.4.3
Building     monad-loops-0.4.3
Completed    hashable-1.3.0.0
Starting     network-3.1.1.1
Completed    colour-2.3.5
Starting     old-locale-1.0.0.7
Completed    monad-loops-0.4.3
Starting     pretty-hex-1.1
Completed    cereal-0.5.8.1
Starting     primitive-0.7.0.0
Building     old-locale-1.0.0.7
Building     pretty-hex-1.1
Building     primitive-0.7.0.0
Building     network-3.1.1.1
Completed    old-locale-1.0.0.7
Starting     pulseaudio-0.0.2.1
Completed    pretty-hex-1.1
Starting     semigroups-0.19.1
Failed to install pulseaudio-0.0.2.1
Build log ( /home/builder/.cabal/logs/ghc-8.6.3/pulseaudio-0.0.2.1-4hyFQA1hAHzApUStnSNX06.log ):
cabal: Entering directory '/tmp/cabal-tmp-19402/pulseaudio-0.0.2.1'
Warning: pulseaudio.cabal:48:1: The field "cabal-version" is specified more
than once at positions 48:1, 62:1
Configuring pulseaudio-0.0.2.1...
cabal: Missing dependency on a foreign library:
* Missing (or bad) C library: pulse
This problem can usually be solved by installing the system package that
provides this library (you may need the "-dev" version). If the library is
already installed but in a non-standard location then you can use the flags
--extra-include-dirs= and --extra-lib-dirs= to specify where it is.If the
library file does exist, it may contain errors that are caught by the C
compiler at the preprocessing stage. In this case you can re-run configure
with the verbosity flag -v3 to see the error messages.

cabal: Leaving directory '/tmp/cabal-tmp-19402/pulseaudio-0.0.2.1'
Starting     statvfs-0.2
Building     semigroups-0.19.1
Completed    semigroups-0.19.1
Building     statvfs-0.2
Completed    statvfs-0.2
Completed    network-3.1.1.1
Completed    primitive-0.7.0.0
cabal: Error: some packages failed to install:
monky-2.2.1.1-19FjI8PeDxV84fHhyy9Ybc depends on monky-2.2.1.1 which failed to
install.
pulseaudio-0.0.2.1-4hyFQA1hAHzApUStnSNX06 failed during the configure step.
The exception was:
ExitFailure 1